package com.ruoyi.system.mapper;

import java.util.Date;
import java.util.List;
import com.ruoyi.system.domain.Clew;
import org.apache.ibatis.annotations.Param;

/**
 * 线索Mapper接口
 *
 * @author ruoyi
 * @date 2023-05-15
 */
public interface ClewMapper
{
    /**
     * 查询线索
     *
     * @param id 线索主键
     * @return 线索
     */
    public Clew selectClewById(Long id);

    /**
     * 查询线索列表
     *
     * @param clew 线索
     * @return 线索集合
     */
    public List<Clew> selectClewList(Clew clew);

    public List<Clew> selectClewPublicList(Clew clew);

    /**
     * 查询优质线索池列表
     *
     * @param clew 线索
     * @return 线索集合
     */
    public List<Clew> selectClewQualityList(Clew clew);

    /**
     * 新增线索
     *
     * @param clew 线索
     * @return 结果
     */
    public int insertClew(Clew clew);

    /**
     * 修改线索
     *
     * @param clew 线索
     * @return 结果
     */
    public int updateClew(Clew clew);

    public int updateBatchClew(Clew clew);

    /**
     * 删除线索
     *
     * @param id 线索主键
     * @return 结果
     */
    public int deleteClewById(Long id);

    /**
     * 批量删除线索
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClewByIds(String[] ids);

    void updateSuitAbleNotAddWx(@Param("beginTime")Date beginTime);


    void updateSuitAbleNotDeal(@Param("beginTime")Date beginTime);

}
